Autor Zpráva
johnl
Profil
Dobrý den, dnes se mi při spuštění skriptu na localhostu zobrazila tato chyba


Warning: Unknown: Your script possibly relies on a session side-effect which existed until PHP 4.2.3. Please be advised that the session extension does not consider global variables as a source of data, unless register_globals is enabled. You can disable this functionality and this warning by setting session.bug_compat_42 or session.bug_compat_warn to off, respectively in Unknown on line 0


Vím na 100% že to způsobuje tato část kódu (když ji smažu už se chyba nezobrazuje)

session_start();

$time = date("dmyHi");
$time_kontrola = "0312091739";
if($time > $time_kontrola){echo "<meta http-equiv='refresh' content='0;url=***'>";}else
{
//Obsah stránky
{


Děkuju za rady ;-)

Edit: Teď jsem si všiml že chyba se zobrazí jen pokud se hodnota $time_kontrola rovná $time
dtr
Profil *
bude to neco se sessions. Jakou verzi PHP pouzivate?

Na googlu odpoved take nalezt nelze? http://www.google.cz/search?q=%22Your+script+possibly+relies+on+a+session+side-effect%22
johnl
Profil
Je to php 5.3.0 na googlu jsem zkoušel hledat ale nic užitečného jsem nenašel..

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: